############################################################
#
# Interactive Routing Setup Tutorial Command File
#
############################################################
create \tmp\window.scr
append  # SETTING UP RULES FOR INTERACTIVE ROUTING 
append  # Select Setup... from the right mouse button [RB].
append  # Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # The Interactive Routing Setup dialog box is displayed.
append  # The top four routing parameters are our first concern.
append  # To change any of these, click in the box and enter a new value. Press [Return] to continue.
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else ( command )
################################################ 
create \tmp\window.scr
append  # No value is supplied for the PCB clearance. Check the rules report before you supply any value here.
append  # All PCB clearance values are 6 mils (from the rules report).
append  # Click on Close to remove the rules report, then press [Return] to continue.
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else ( command )
################################################ 
zoom coord -1114 1148 -844 1415
create \tmp\window.scr
append  # SETTING THE CURSOR SNAP ANGLE
append  # The default cursor snap angle is 45 degrees. This allows both 45 and 90 degree corners.
append  # All angle allows corners to be any angle, including acute angles. Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # Select Edit Route Mode from the [RB] menu.
append  # Click the pin in the middle of the screen. It should highlight.
append  # Note: we will discuss Edit Route Mode in more detail later. Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # Move the pointer toward the top of the screen.
append  # Notice the envelop around the wire. This is the clearance in effect.
append  # Also, there are no crosshair wires on the pointer. Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # Move the cursor to the right so the wire snaps to a 45 degree angle.
append  # Extend the line into the pad until you can see guide lines in the middle of the pad.
append  # This indicates the direction of the pad origin. Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # Select Cancel - Remove New Wiring from the [RB] menu.
append  # The router returns to Edit Route mode with the pin highlighting turned off.
append  # All current wiring is deleted for this activity. Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # If you want crosshairs attached to the pointer, click the 45 and 90 button, then click Apply. 
append  # Then click the pin again and move the pointer toward the top of the screen.
append  # Notice there are both 45 and 90 degree crosshairs attached to the pointer. Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # Select Cancel - Remove New Wiring from the [RB] menu. 
append  # Click All angle and then click Apply. Click the pin again and try routing the wire to the upper right pad.
append  # Move the pointer to the pad and click. The wire is finished. Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
create \tmp\window.scr
append  # Click on 45 degrees to return to 45 and 90 degree routing.
append  # Click on OK to close the Interactive Routing Setup dialog box. 
append  # Press [Return] to continue. 
close 
report file \tmp\window.scr
if (&slp) (sleep 7) else (command)
################################################
