##################################################################################################################################
## 
## Class ELNK0DIN[0:9]
## Match lengths of nets in class with tolerance of +/- 0.25
##
#####################################  Source to 1st Load  ###  1st to 2nd Load     ###    2nd to 3rd Load  ###   3rd to 4th Load
define (group ELNK0CLKIN)
define (group ELNK0CLKIN (add_fromto (fromto P1-J12 U14-B12) (fromto U14-B12 R887-2) (fromto R887-2 R888-1) (fromto R888-1 A35-1) ))
define (group ELNK0DIN0)
define (group ELNK0DIN0 (add_fromto (fromto P1-J10 U14-E7) (fromto U14-E7 R905-2) (fromto R905-2 R906-1) ))
define (group ELNK0DIN1)
define (group ELNK0DIN1 (add_fromto (fromto P1-J9 U14-B3) (fromto U14-B3 R903-2) (fromto R903-2 R904-1) ))
define (group ELNK0DIN2)
define (group ELNK0DIN2 (add_fromto (fromto P1-J8 U14-B4) (fromto U14-B4 R901-2) (fromto R901-2 R902-1) ))
define (group ELNK0DIN3)
define (group ELNK0DIN3 (add_fromto (fromto P1-J7 U14-B6) (fromto U14-B6 R899-2) (fromto R899-2 R900-1) ))
define (group ELNK0DIN4)
define (group ELNK0DIN4 (add_fromto (fromto P1-J6 U14-C9) (fromto U14-C9 R897-2) (fromto R897-2 R898-1) ))
define (group ELNK0DIN5)
define (group ELNK0DIN5 (add_fromto (fromto P1-J5 U14-B7) (fromto U14-B7 R895-2) (fromto R895-2 R896-1) ))
define (group ELNK0DIN6)
define (group ELNK0DIN6 (add_fromto (fromto P1-J4 U14-B9) (fromto U14-B9 R893-2) (fromto R893-2 R894-1) ))
define (group ELNK0DIN7)
define (group ELNK0DIN7 (add_fromto (fromto P1-J3 U14-C15) (fromto U14-C15 R891-2) (fromto R891-2 R892-1) ))
define (group ELNK0DIN8)
define (group ELNK0DIN8 (add_fromto (fromto P1-J2 U14-B18) (fromto U14-B18 R889-2) (fromto R889-2 R890-1) ))
define (group ELNK0DIN9)
define (group ELNK0DIN9 (add_fromto (fromto P1-J1 U14-A5) (fromto U14-A5 R218-2) (fromto R218-2 R228-1) ))
#
##################################################################################################################################
## 
## Class ELNK1DIN[0:9]
## Match lengths of nets in class with tolerance of +/- 0.25
## Priority = 30
## 
#####################################  Source to 1st Load  ###  1st to 2nd Load     ###    2nd to 3rd Load  ###   3rd to 4th Load
define (group ELNK1CLKIN)
define (group ELNK1CLKIN (add_fromto (fromto P1-C12 U14-N16) (fromto U14-N16 R884-2) (fromto R884-2 R885-1) (fromto R885-1 A34-1)  ))
define (group ELNK1DIN0)
define (group ELNK1DIN0 (add_fromto (fromto P1-C10 U14-J15) (fromto U14-J15 R923-2) (fromto R923-2 R924-1) ))
define (group ELNK1DIN1)
define (group ELNK1DIN1 (add_fromto (fromto P1-C9 U14-F15) (fromto U14-F15 R921-2) (fromto R921-2 R922-1) ))
define (group ELNK1DIN2)
define (group ELNK1DIN2 (add_fromto (fromto P1-C8 U14-E15) (fromto U14-E15 R919-2) (fromto R919-2 R920-1) ))
define (group ELNK1DIN3)
define (group ELNK1DIN3 (add_fromto (fromto P1-C7 U14-A11) (fromto U14-A11 R917-2) (fromto R917-2 R918-1) ))
define (group ELNK1DIN4)
define (group ELNK1DIN4 (add_fromto (fromto P1-C6 U14-H15) (fromto U14-H15 R915-2) (fromto R915-2 R916-1) ))
define (group ELNK1DIN5)
define (group ELNK1DIN5 (add_fromto (fromto P1-C5 U14-G14) (fromto U14-G14 R913-2) (fromto R913-2 R914-1) ))
define (group ELNK1DIN6)
define (group ELNK1DIN6 (add_fromto (fromto P1-C4 U14-D13) (fromto U14-D13 R911-2) (fromto R911-2 R912-1) ))
define (group ELNK1DIN7)
define (group ELNK1DIN7 (add_fromto (fromto P1-C3 U14-C12) (fromto U14-C12 R909-2) (fromto R909-2 R910-1) ))
define (group ELNK1DIN8)
define (group ELNK1DIN8 (add_fromto (fromto P1-C2 U14-A13) (fromto U14-A13 R907-2) (fromto R907-2 R908-1) ))
define (group ELNK1DIN9)
define (group ELNK1DIN9 (add_fromto (fromto P1-C1 U14-F14) (fromto U14-F14 R230-2) (fromto R230-2 R231-1) ))
##################################################################################################################################
## 
## Class ECBCNTRL
## Match lengths of nets in class with tolerance of +/- 0.25
## Priority = 100
## 
#####################################  Source to 1st Load  ###  1st to 2nd Load     ###    2nd to 3rd Load  ###   3rd to 4th Load
define (group ECB0ADD0)
define (group ECB0ADD0  (add_fromto (fromto U35-AD18 U43-C6) (fromto U43-C6 U44-C6) (fromto U44-C6 R507-1) (fromto R507-1 R506-2) ))
define (group ECB0ADD1)
define (group ECB0ADD1  (add_fromto (fromto U35-AE19 U43-C7) (fromto U43-C7 U44-C7) (fromto U44-C7 R505-1) (fromto R505-1 R504-2) ))
define (group ECB0ADD2)
define (group ECB0ADD2  (add_fromto (fromto U35-AE20 U43-C5) (fromto U43-C5 U44-C5) (fromto U44-C5 R503-1) (fromto R503-1 R502-2) ))
define (group ECB0ADD3)
define (group ECB0ADD3  (add_fromto (fromto U35-AD20 U43-N5) (fromto U43-N5 U44-N5) (fromto U44-N5 R501-1) (fromto R501-1 R500-2) ))
define (group ECB0ADD4)
define (group ECB0ADD4  (add_fromto (fromto U35-AH20 U43-N6) (fromto U43-N6 U44-N6) (fromto U44-N6 R499-1) (fromto R499-1 R498-2) ))
define (group ECB0ADD5)
define (group ECB0ADD5  (add_fromto (fromto U35-AG20 U43-N7) (fromto U43-N7 U44-N7) (fromto U44-N7 R497-1) (fromto R497-1 R496-2) ))
define (group ECB0ADD6)
define (group ECB0ADD6  (add_fromto (fromto U35-AK21 U43-P4) (fromto U43-P4 U44-P4) (fromto U44-P4 R495-1) (fromto R495-1 R494-2) ))
define (group ECB0ADD7)
define (group ECB0ADD7  (add_fromto (fromto U35-AJ19 U43-P5) (fromto U43-P5 U44-P5) (fromto U44-P5 R493-1) (fromto R493-1 R492-2) ))
define (group ECB0ADD8)
define (group ECB0ADD8  (add_fromto (fromto U35-AK20 U43-P7) (fromto U43-P7 U44-P7) (fromto U44-P7 R491-1) (fromto R491-1 R490-2) ))
define (group ECB0ADD9)
define (group ECB0ADD9  (add_fromto (fromto U35-AN21 U43-P8) (fromto U43-P8 U44-P8) (fromto U44-P8 R489-1) (fromto R489-1 R488-2) ))
define (group ECB0ADD10)
define (group ECB0ADD10 (add_fromto (fromto U35-AM21 U43-R3) (fromto U43-R3 U44-R3) (fromto U44-R3 R487-1) (fromto R487-1 R486-2) ))
define (group ECB0ADD11)
define (group ECB0ADD11 (add_fromto (fromto U35-AP19 U43-R4) (fromto U43-R4 U44-R4) (fromto U44-R4 R485-1) (fromto R485-1 R484-2) ))
define (group ECB0ADD12)
define (group ECB0ADD12 (add_fromto (fromto U35-AP20 U43-R5) (fromto U43-R5 U44-R5) (fromto U44-R5 R483-1) (fromto R483-1 R482-2) ))
define (group ECB0ADD13)
define (group ECB0ADD13 (add_fromto (fromto U35-AN20 U43-R7) (fromto U43-R7 U44-R7) (fromto U44-R7 R481-1) (fromto R481-1 R480-2) ))
define (group ECB0ADD14)
define (group ECB0ADD14 (add_fromto (fromto U35-AR18 U43-R8) (fromto U43-R8 U44-R8) (fromto U44-R8 R479-1) (fromto R479-1 R478-2) ))
define (group ECB0ADD15)
define (group ECB0ADD15 (add_fromto (fromto U35-AR19 U43-R9) (fromto U43-R9 U44-R9) (fromto U44-R9 R477-1) (fromto R477-1 R476-2) ))
define (group ECB0ADD16)
define (group ECB0ADD16 (add_fromto (fromto U35-AR21 U43-B4) (fromto U43-B4 U44-B4) (fromto U44-B4 R475-1) (fromto R475-1 R474-2) ))
define (group ECB0ADD17)
define (group ECB0ADD17 (add_fromto (fromto U35-AR22 U43-B8) (fromto U43-B8 U44-B8) (fromto U44-B8 R473-1) (fromto R473-1 R472-2) ))
define (group ECB0ADD18)
define (group ECB0ADD18 (add_fromto (fromto U35-AT20 U43-A9) (fromto U43-A9 U44-A9) (fromto U44-A9 R471-1) (fromto R471-1 R470-2) ))
define (group ECB0ADD19)
define (group ECB0ADD19 (add_fromto (fromto U35-AT21 U43-A3) (fromto U43-A3 U44-A3) (fromto U44-A3 R469-1) (fromto R469-1 R468-2) ))
define (group ECB0WR#)
define (group ECB0WR#   (add_fromto (fromto U35-AP16 U43-A4) (fromto U43-A4 U44-A4) (fromto U44-A4 R461-1) (fromto R461-1 R460-2) ))
define (group ECB0RD#)
define (group ECB0RD#   (add_fromto (fromto U35-AT18 U43-A8) (fromto U43-A8 U44-A8) (fromto U44-A8 R463-1) (fromto R463-1 R462-2) ))
define (group ECB0WCLK)
define (group ECB0WCLK  (add_fromto (fromto U35-AL20 U43-B6) (fromto U43-B6 U44-B6) (fromto U44-B6 R513-1) (fromto R513-1 R508-2) ))
define (group ECB0WCLK#)
define (group ECB0WCLK# (add_fromto (fromto U35-AM19 U43-A6) (fromto U43-A6 U44-A6) (fromto U44-A6 R514-1) (fromto R514-1 R509-2) ))
