###################################################################################################################
## 
## Class ICFLIN
## Match lengths of nets in class with tolerance of +/- 0.25
## Priority = 100
##
## COMMENTS:  THIS DO FILE SHOULD ROUTE FIGURE E OF REF DRAWINGS.PDF.  THE FROMTO COMMAND IS USED TO MATCH THE LENGHT
##            OF NET SEGMANTS. STUBS TO TERMINATORS WILL BE IGNORED AND IT IS HOPED THESE NET WILL BE MINIMIZED.
##            THE CLOCK FOR THIS CIRCUIT WILL BE DEFINED WITH TWO SEPERATE FROMTO COMMANDS. ONE WILL MATCH
##            THE FIST HALF OF THE CLOCK WITH NETS GOING TO THE QDRRAM.  THE OTHER WILL MATCH THE RAMAINING
##            SEGMENT OF THE CLOCK WITH THE DATA OUTPUT FROM THE QDR.
## 
########### GENERATE FROMTO LIST FOR SIGNALS GOING TO QDR (IE NETS A,B, & G OF FIG. E) #####################
######## ADDRESS & CONTROLL SIGNALS ########################################################################
define (group ICFLADD0)
define (group ICFLADD0  (add_fromto (fromto U8-A22 U23-C6) ))
define (group ICFLADD1)
define (group ICFLADD1  (add_fromto (fromto U8-A23 U23-C7) ))
define (group ICFLADD2)
define (group ICFLADD2  (add_fromto (fromto U8-B27 U23-C5) ))
define (group ICFLADD3)
define (group ICFLADD3  (add_fromto (fromto U8-A25 U23-N5) ))
define (group ICFLADD4)
define (group ICFLADD4  (add_fromto (fromto U8-B21 U23-N6) ))
define (group ICFLADD5)
define (group ICFLADD5  (add_fromto (fromto U8-B22 U23-N7) ))
define (group ICFLADD6)
define (group ICFLADD6  (add_fromto (fromto U8-C26 U23-P4) ))
define (group ICFLADD7)
define (group ICFLADD7  (add_fromto (fromto U8-C27 U23-P5) ))
define (group ICFLADD8)
define (group ICFLADD8  (add_fromto (fromto U8-B24 U23-P7) ))
define (group ICFLADD9)
define (group ICFLADD9  (add_fromto (fromto U8-B25 U23-P8) ))
define (group ICFLADD10)
define (group ICFLADD10 (add_fromto (fromto U8-D22 U23-R3) ))
define (group ICFLADD11)
define (group ICFLADD11 (add_fromto (fromto U8-C20 U23-R4) ))
define (group ICFLADD12)
define (group ICFLADD12 (add_fromto (fromto U8-D26 U23-R5) ))
define (group ICFLADD13)
define (group ICFLADD13 (add_fromto (fromto U8-C23 U23-R7) ))
define (group ICFLADD14)
define (group ICFLADD14 (add_fromto (fromto U8-C24 U23-R8) ))
define (group ICFLADD15)
define (group ICFLADD15 (add_fromto (fromto U8-E22 U23-R9) ))
define (group ICFLADD16)
define (group ICFLADD16 (add_fromto (fromto U8-D19 U23-B4) ))
define (group ICFLADD17)
define (group ICFLADD17 (add_fromto (fromto U8-E25 U23-B8) ))
define (group ICFLADD18)
define (group ICFLADD18 (add_fromto (fromto U8-D23 U23-A9) ))
define (group ICFLADD19)
define (group ICFLADD19 (add_fromto (fromto U8-D25 U23-A3) ))
define (group ICFLWR#)
define (group ICFLWR#   (add_fromto (fromto U8-K19 U23-A4) ))
define (group ICFLRD#)
define (group ICFLRD#   (add_fromto (fromto U8-N20 U23-A8) ))
######## WRITE DATA BUS ########################################################################
define (group ICFLWDAT0)
define (group ICFLWDAT0 (add_fromto (fromto U8-F20 U23-P10) ))
define (group ICFLWDAT1)
define (group ICFLWDAT1 (add_fromto (fromto U8-F21 U23-N11) ))
define (group ICFLWDAT2)
define (group ICFLWDAT2 (add_fromto (fromto U8-G23 U23-M11) ))
define (group ICFLWDAT3)
define (group ICFLWDAT3 (add_fromto (fromto U8-F23 U23-K10) ))
define (group ICFLWDAT4)
define (group ICFLWDAT4 (add_fromto (fromto U8-F24 U23-J11) ))
define (group ICFLWDAT5)
define (group ICFLWDAT5 (add_fromto (fromto U8-E24 U23-G11) ))
define (group ICFLWDAT6)
define (group ICFLWDAT6 (add_fromto (fromto U8-G22 U23-E10) ))
define (group ICFLWDAT7)
define (group ICFLWDAT7 (add_fromto (fromto U8-H24 U23-D11) ))
define (group ICFLWDAT8)
define (group ICFLWDAT8 (add_fromto (fromto U8-H21 U23-C11) ))
define (group ICFLWDAT9)
define (group ICFLWDAT9 (add_fromto (fromto U8-J20 U23-B3) ))
define (group ICFLWDAT10)
define (group ICFLWDAT10 (add_fromto (fromto U8-J21 U23-C3) ))
define (group ICFLWDAT11)
define (group ICFLWDAT11 (add_fromto (fromto U8-H19 U23-D2) ))
define (group ICFLWDAT12)
define (group ICFLWDAT12 (add_fromto (fromto U8-L21 U23-F3) ))
define (group ICFLWDAT13)
define (group ICFLWDAT13 (add_fromto (fromto U8-L22 U23-G2) ))
define (group ICFLWDAT14)
define (group ICFLWDAT14 (add_fromto (fromto U8-K22 U23-J3) ))
define (group ICFLWDAT15)
define (group ICFLWDAT15 (add_fromto (fromto U8-K23 U23-L3) ))
define (group ICFLWDAT16)
define (group ICFLWDAT16 (add_fromto (fromto U8-M20 U23-M3) ))
define (group ICFLWDAT17)
define (group ICFLWDAT17 (add_fromto (fromto U8-M21 U23-N2) ))
############ CLOCK FOR INPUTS TO SOURCE SYNCH MEMORY ###################################
define (group ICFLCLKIN)
define (group ICFLCLKIN   (add_fromto (fromto U8-G19 U23-B6) ))
define (group ICFLCLKIN#)
define (group ICFLCLKIN#  (add_fromto (fromto U8-N20 U23-A8) ))
########### GENERATE FROMTO LIST FOR SIGNALS GOING TO ASIC (IE NETS C & F OF FIG. E) #####################
######## READ DATA BUS ########################################################################
define (group ICFLRDAT0)
define (group ICFLRDAT0 (add_fromto (fromto U8-J32 U23-P11) ))
define (group ICFLRDAT1)
define (group ICFLRDAT1 (add_fromto (fromto U8-J35 U23-M10) ))
define (group ICFLRDAT2)
define (group ICFLRDAT2 (add_fromto (fromto U8-K32 U23-L11) ))
define (group ICFLRDAT3)
define (group ICFLRDAT3 (add_fromto (fromto U8-H33 U23-K11) ))
define (group ICFLRDAT4)
define (group ICFLRDAT4 (add_fromto (fromto U8-L36 U23-J10) ))
define (group ICFLRDAT5)
define (group ICFLRDAT5 (add_fromto (fromto U8-N32 U23-F11) ))
define (group ICFLRDAT6)
define (group ICFLRDAT6 (add_fromto (fromto U8-M33 U23-E11) ))
define (group ICFLRDAT7)
define (group ICFLRDAT7 (add_fromto (fromto U8-M35 U23-C10) ))
define (group ICFLRDAT8)
define (group ICFLRDAT8 (add_fromto (fromto U8-H36 U23-B11) ))
define (group ICFLRDAT9)
define (group ICFLRDAT9 (add_fromto (fromto U8-N35 U23-B2) ))
define (group ICFLRDAT10)
define (group ICFLRDAT10 (add_fromto (fromto U8-L31 U23-D3) ))
define (group ICFLRDAT11)
define (group ICFLRDAT11 (add_fromto (fromto U8-M29 U23-E3) ))
define (group ICFLRDAT12)
define (group ICFLRDAT12 (add_fromto (fromto U8-P33 U23-F2) ))
define (group ICFLRDAT13)
define (group ICFLRDAT13 (add_fromto (fromto U8-P34 U23-G3) ))
define (group ICFLRDAT14)
define (group ICFLRDAT14 (add_fromto (fromto U8-P25 U23-K3) ))
define (group ICFLRDAT15)
define (group ICFLRDAT15 (add_fromto (fromto U8-P28 U23-L2) ))
define (group ICFLRDAT16)
define (group ICFLRDAT16 (add_fromto (fromto U8-N28 U23-N3) ))
define (group ICFLRDAT17)
define (group ICFLRDAT17 (add_fromto (fromto U8-M30 U23-P3) ))
############ CLOCK FOR INPUTS TO SOURCE SYNCH MEMORY ###################################
define (group ICFLCLKOUT)
define (group ICFLCLKOUT   (add_fromto (fromto U8-L30 U23-B6) ))
define (group ICFLCLKOUT#)
define (group ICFLCLKOUT#  (add_fromto (fromto U8-N34 U23-A6) ))
########################################################################################
#
# DEFINE THE TWO GROUPS
#
#########################################################################################
############# GROUP OF SIGNALS GOING TO QDR (THIS MAY NOT BE CORRECT SYNTAX) ############
define (group_set U8TOU23 ICFLADD0 ICFLADD1 ICFLADD2 ICFLADD3 ICFLADD4
                        ICFLADD5 ICFLADD6 ICFLADD7 ICFLADD8 ICFLADD9
                        ICFLADD10 ICFLADD11 ICFLADD12 ICFLADD13 ICFLADD14
                        ICFLADD15 ICFLADD16 ICFLADD17 ICFLADD18 ICFLADD19 
                        ICFLWDAT0 ICFLWDAT1 ICFLWDAT2 ICFLWDAT3 ICFLWDAT4
                        ICFLWDAT5 ICFLWDAT6 ICFLWDAT7 ICFLWDAT8 ICFLWDAT9
                        ICFLWDAT10 ICFLWDAT11 ICFLWDAT12 ICFLWDAT13 ICFLWDAT14 
                        ICFLWDAT15 ICFLWDAT16 ICFLWDAT17 ICFLRD# ICFLWR#
                        ICFLCLKIN ICFLCLKIN#)(rule (match_group_length[on](tolerance 0.1) (priortity 100)))
############# GROUP OF SIGNALS GOING TO ASIC (THIS MAY NOT BE CORRECT SYNTAX) ############
define (group_set U23TOU8 ICFLRDAT0 ICFLRDAT1 ICFLRDAT2 ICFLRDAT3 ICFLRDAT4
                        ICFLRDAT5 ICFLRDAT6 ICFLRDAT7 ICFLRDAT8 ICFLRDAT9
                        ICFLRDAT10 ICFLRDAT11 ICFLRDAT12 ICFLRDAT13 ICFLRDAT14
                        ICFLRDAT15 ICFLRDAT16 ICFLRDAT17 ICFLCLKOUT ICFLCLKOUT#)(rule (match_group_length[on](tolerance 0.1) (priortity 100)))
########################################################################################
#
# Match the lengths and set priority
#
# Note: if this does not work try changing match_group_length to match_fromto_length
#
#########################################################################################
############# GROUP OF SIGNALS GOING TO QDR (THIS MAY NOT BE CORRECT SYNTAX) ############
#define (group U8TOU23 (match_group_length[on](tolerance 0.1)) (priortity 100))                        
#define (group U23TOU8 (match_group_length[on](tolerance 0.1)) (priortity 100))                        
#define (group U8TOU23 (match_fromto_length[on](tolerance 0.1)) (priortity 100))                        
#define (group U23TOU8 (match_fromto_length[on](tolerance 0.1)) (priortity 100))                        
PAUSE
                        
