# Copyright 1994
# Cooper & Chyan Technology, Inc.
# SPECCTRA Automatic Router Version V5.0


##################################################
# Interactive Router Copy Function Tutorial File
##################################################
application_mode routing
create /tmp/window.scr
append  # INTERACTIVE ROUTER COPY TUTORIAL
append  # This tutorial shows how to use the copy wire feature.
append  # Click on [Continue] to proceed. 
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # NOTE: All router actions are controlled by the tutorial.
append  # The only thing you need to do is click [LB] on [Continue].
append  # Click on [Continue] to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  #  Copying wires is a two-step process.
append  #  First, create the template wire, then copy the wire to similar connections.
append  #  Click on [Continue] to proceed. 
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Notice the bus area on the left side of the board. 
append  # Click on [Continue] to zoom in on this area.
append  # Then click on [Continue] to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
zoom coord -2057 179 -767 1286
create /tmp/window.scr
append  # Notice the screen mode [LB] is 'Measure'. 
append  # The [RB] menu is used to change the mode to 'Edit Route'.
append  # Click on [Continue] to change the mode, then again to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
mode edit
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # The first template will be the outside left bus wire that is highlighted. 
append  # We will start with the bottom pin and route to the middle pin.
append  # Click on [Continue] to turn off the highlighting, then again to proceed.
close 
report file /tmp/window.scr
highlight net M
if (&slp) (sleep 5) else ( command )
##################################################
highlight off
if (&slp) (sleep 5) else ( command )
create /tmp/window.scr
append  #  We interactively route the connection from bottom to middle pads.
append  #  Notice the pins in the net are again highlighted and the guide wires are visible.
append  #  Click on [Continue] to proceed. 
close 
report file /tmp/window.scr
edit_pick -1809 452 -1799 461
sleep 1
edit_irt_pt -1800 570
sleep 1
edit_irt_pt -1776 594
sleep 1
edit_irt_pt -1776 828
sleep 1
edit_irt_pt -1800 852
sleep 1
edit_irt_pt -1800 942
edit_finish
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # To copy the wire we just completed, we must set the screen mode to copy route. 
append  # The right button [RB] menu is used for this.
append  # Click on [Continue] to change the mode, then again to continue.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
mode copying
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # The routed pad must first be clicked to indicate the template.  
append  # Note that the template pads are highlighted.  
append  # Click on [Continue] to pick the template and again to continue.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
edit_pick_copy -1805 458 -1790 473
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Next we click on the adjacent unrouted pad and the wire is routed.  
append  # Note that the pads are highlighted.  
append  # Click on [Continue] to pick the unrouted wire and again to continue.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
edit_copy -1757 440 -1757 440
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Next we click on the second adjacent unrouted pad and the wire is routed.  
append  #   
append  # Click on [Continue] to pick the unrouted wire and again to continue.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
edit_copy -1699 445 -1699 445
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # To complete the rest of the pattern, we can use an area feature of the copy mode. 
append  # If we click next to the last routed wire and drag the cursor to the right, all the wires will be routed.
append  # Click on [Continue] to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
edit_copy -1678 879 -1119 1008
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # The second template will be the outside left bus wire that is highlighted. 
append  # We will start with the bottom pin and route to the middle pin.
append  # Click on [Continue] to turn off the highlighting, then again to proceed.
close 
report file /tmp/window.scr
highlight net N
if (&slp) (sleep 5) else ( command )
##################################################
highlight off
if (&slp) (sleep 5) else ( command )
create /tmp/window.scr
append  # The wire is interactively routed.
append  #  
append  # Click on [Continue] to proceed. 
close 
report file /tmp/window.scr
edit_pick -1815 248 -1797 266
sleep 1
edit_irt_pt -1800 336
sleep 1
edit_irt_pt -1836 372
sleep 1
edit_irt_pt -1836 606
sleep 1
edit_irt_pt -1800 642
sleep 1
edit_irt_pt -1800 725
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Again use the [RB] menu to change to copy mode. 
append  # 
append  # Click on [Continue] to change modes, and again to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
mode copying
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Click on the template wire to select it. 
append  # 
append  # Click on [Continue] to proceed..
close 
report file /tmp/window.scr
edit_pick_copy -1809 231 -1792 248
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Click on the adjacent pad to copy the wire. 
append  # 
append  # Click on [Continue] to proceed.
close 
report file /tmp/window.scr
edit_copy -1701 260 -1701 260
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Note that the wire is not copied. Look in the shell for an error message. 
append  # # Error: IRoute: Path cannot be copied.
append  # Click on [Continue] to proceed.
close 
report file /tmp/window.scr
edit_copy -1713 266 -1713 266
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # As it turns out, we have made the outside segment too far out to be copied. 
append  # Also, the diagonal at the top of the wire needs to be moved down.
append  # Click on [Continue] to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Let's zoom in and fix the wire. 
append  # 
append  # Click on [Continue] to proceed.
close 
report file /tmp/window.scr
zoom coord -1935 310 -1666 801
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # We'll use the [RB] menu to change to Move mode. 
append  # 
append  # Click on [Continue] to change modes, then again to continue.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
mode slide
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Next we'll click on the middle wire segment, then move it to the right.
append  # By moving the cursor to the right, the segment is moved closer to the pads.
append  # Click on [Continue] to select the wire, and again to move the wire.
close 
report file /tmp/window.scr
edit_pick_move -1839.7 455.2 -1836 458.9
if (&slp) (sleep 5) else ( command )
##################################################
edit_move -1824 696
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Now we'll click on the upper diagonal segment and move it to the down.
append  # We'll position the segment so that it's even with the previous routing.
append  # Click on [Continue] to select the wire, and again to move the wire.
close 
report file /tmp/window.scr
edit_pick_move -1814.2 628.1 -1810.5 631.8
if (&slp) (sleep 5) else ( command )
##################################################
edit_move -1806 588
if (&slp) (sleep 5) else ( command )
##################################################
zoom coord -2057 -12 -767 977
create /tmp/window.scr
append  # Now we're ready to try the copy again. 
append  # Go back to copy mode with the right button menu.
append  # Click on [Continue] to change modes, and again to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
mode copying
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Click on the first wire to select it as a template. 
append  # 
append  # Click on [Continue] to select, and again to proceed.
close 
report file /tmp/window.scr
edit_pick_copy -1805.3 717.1 -1801.5 720.9
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Click on a pad of the second wire to copy the template. 
append  # 
append  # Click on [Continue] to copy the wire, and again to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
edit_copy -1759 243 -1759 243
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # Next, use the multiple copy feature to finish the bus. 
append  # Click the left button next to the second wire and drag the cursor until all pads to the right are enclosed.
append  # Click on [Continue] to route the wires, and again to proceed.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
edit_copy -1734 664 -1124 785
if (&slp) (sleep 5) else ( command )
##################################################
create /tmp/window.scr
append  # INTERACTIVE ROUTER COPY TUTORIAL COMPLETE 
append  # 
append  # Click on [Continue] to exit this tutorial.
close 
report file /tmp/window.scr
if (&slp) (sleep 5) else ( command )
##################################################
