
############################################################
#
# READ Tutorial Command File
#
############################################################create /tmp/window.scr 
create /tmp/window.scr
append # READ WIRE COMMAND TUTORIAL 
append #  
append # Click [Continue] to proceed.
close  
report file /tmp/window.scr
set shadow_mode on
shadow_ratio (1.0 - (60 / 100.0))
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # Syntax: read wire <filename> 
append # Example: read wire $/read_fin.w 
append # Read a wires file named 'read_fin.w' from the design directory.  Click [Continue].
close  
report file /tmp/window.scr
read wire $/read_fin.w
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # We read the wires file after the autorouter automatically read a default wires file.
append # Notice that there are no conflicts in the wiring.
append # Review wires file naming and the reading of default wires files.   Click on [Continue].
close  
report file /tmp/window.scr
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # Commands:  delete all wires  ;  read wire $/read_fin.w
append # To correct this, delete all the wires and try again. 
append # Click on [Continue].
close  
report file /tmp/window.scr
delete all wires
read wire $/read_fin.w
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # Now there are no conflicts. 
append # Continue with other router functions at this point. 
append # Click on [Continue].
close  
report file /tmp/window.scr
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # READ WIRE COMMAND TUTORIAL COMPLETED 
append #  
append # Click on [Continue] to exit this tutorial. 
close  
report file /tmp/window.scr
if (&slp) (sleep 7) else (command)
############################################################
quit
