create /tmp/window.scr 
append # VIRTUAL PIN TUTORIAL  
append # Virtual pins can be used to define junction or branch points for a connection. 
append # Click on [Continue].
close  
report file /tmp/window.scr
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # The define command can be used to specify a wiring topology. 
append # Fromtos can be defined from physical pins and pads to virtual pins. 
append # Length rules are applied to determine the position of a virtual pin. Click [Continue].
close  
report file /tmp/window.scr
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # Command; highlight net BAL2  
append # Net BAL2 has three pads. The objective is to autoroute from the bottom pin to the top pins. 
append # A branch point is required near the top pins. Click [Continue].
close  
report file /tmp/window.scr
highlight net BAL2
if (&slp) (sleep 7) else (command)
############################################################
set banner 4
create /tmp/window.scr 
append # Command: define (net BAL2 (fromto E2-77 (virtual_pin VP1)(circuit (use_layer COMP)(length 1200 1100)))
append # (fromto (virtual_pin VP1) U14-16) (fromto (virtual_pin VP1) U28-15))
append # The length rule on the first fromto forces the length out near the pads.   
append # The net is also automatically reordered. Click [Continue].
close  
report file /tmp/window.scr
unit mil
define (net BAL2 (fromto E2-77 (virtual_pin VP1)(circuit (length 1200 1100)))(fromto (virtual_pin VP1) U14-16) (fromto (virtual_pin VP1) U28-15))
if (&slp) (sleep 7) else (command)
set banner 3
highlight off
############################################################
create /tmp/window.scr 
append # Command: select net BAL2  
append # Select net BAL2 before autorouting it. 
append # Click [Continue].
close  
report file /tmp/window.scr
select net BAL2
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # Command: route 5 ; clean 4 
append # Route net BAL2 
append # Click [Continue].
close  
report file /tmp/window.scr
route 5
clean 4
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # Command: report net BAL2 window 
append # Display the net report for BAL2. 
append # Notice the net's construction and wiring. Click [Continue].
close  
report file /tmp/window.scr
report net BAL2 window
if (&slp) (sleep 7) else (command)
############################################################
create /tmp/window.scr 
append # VIRTUAL PIN TUTORIAL COMPLETED  
append #  
append # Click [Continue] to exit this tutorial.
close  
report file /tmp/window.scr
if (&slp) (sleep 7) else (command)
############################################################
quit

create /tmp/window.scr 
append #   
append #  
append # Click on [Continue].
close  
report file /tmp/window.scr
if (&slp) (sleep 7) else (command)
############################################################

